import { Notices } from '../../api/notices/notices';
import { Faqs } from '../../api/faqs/faqs';

Meteor.startup(() => {
  if (Notices.find().count() == 0) {
    const notices = [
      {
        title: 'title1',
        content: 'content1',
        order: 1,
        isVisible: true,
        createdAt: new Date()
      },
      {
        title: 'title2',
        content: 'content2',
        order: 2,
        isVisible: true,
        createdAt: new Date()
      },
      {
        title: 'title3',
        content: 'content3',
        order: 3,
        isVisible: true,
        createdAt: new Date()
      },
      {
        title: 'title4',
        content: 'content4',
        order: 4,
        isVisible: true,
        createdAt: new Date()
      }
    ];

    notices.forEach((notice) => {
      Notices.insert(notice);
    });
  }

  if (Faqs.find().count() == 0) {
    const faqs = [
      {
        title: 'title1',
        content: 'content1',
        order: 1,
        isVisible: true,
        createdAt: new Date()
      },
      {
        title: 'title2',
        content: 'content2',
        order: 2,
        isVisible: true,
        createdAt: new Date()
      },
      {
        title: 'title3',
        content: 'content3',
        order: 3,
        isVisible: true,
        createdAt: new Date()
      },
      {
        title: 'title4',
        content: 'content4',
        order: 4,
        isVisible: true,
        createdAt: new Date()
      }
    ];

    faqs.forEach((faq) => {
      Faqs.insert(faq);
    });
  }
});
